PipeWire 0.2.6

Data Fields
pw_factory_implementation Struct Reference

## Data Fields
uint32_t | version
void *(* | create_object )(void *data, struct pw_resource *resource, uint32_t type, uint32_t version, struct pw_properties *properties, uint32_t new_id)
| The function to create an object from this factory. More...

## Field Documentation

## ◆ create_object

void*(* pw_factory_implementation::create_object) (void *data, struct pw_resource *resource, uint32_t type, uint32_t version, struct pw_properties *properties, uint32_t new_id)

The function to create an object from this factory.

## ◆ version

uint32_t pw_factory_implementation::version

The documentation for this struct was generated from the following file:

- factory.h